import { env } from '$env/dynamic/private';
import { isTruthy } from '$lib/truthyString';
const { DEV } = import.meta.env;

export const enableVerboseLog = isTruthy(env.VERBOSE);

export const log = {
  verbose: (...params: any[]) => {
    if (!enableVerboseLog) {
      return;
    }
    console.debug(new Date().toISOString(), ...params);
  },
  debug: (...params: any[]) => {
    if (!DEV) {
      return;
    }
    console.debug(new Date().toISOString(), ...params);
  },
  log: (...params: any[]) => {
    console.log(new Date().toISOString(), ...params);
  },
  info: (...params: any[]) => {
    console.info(new Date().toISOString(), ...params);
  },
  warn: (...params: any[]) => {
    console.warn(new Date().toISOString(), ...params);
  },
  error: (...params: any[]) => {
    console.error(new Date().toISOString(), ...params);
  }
};
